import { declareRequest } from "@cqsjjb/jjb-dva-runtime";

export const getCorpInfoListAll = declareRequest(
  "biFullLoading",
  "Post > @/basicInfo/corpInfo/corpListAll",
);
export const getFirePointDeviceList = declareRequest(
  "biFullLoading",
  "Post > @/fireCheck/firePoint/deviceList",
);
export const getSensorDeviceScreenList = declareRequest(
  "biFullLoading",
  "Post > @/iotalarm/sensorDevice/screenList",
);
export const getControlRoomScreenList = declareRequest(
  "biFullLoading",
  "Post > @/fireResource/controlRoom/screenList",
);
export const getRescueTeamScreenList = declareRequest(
  "biFullLoading",
  "Post > @/fireResource/rescueTeam/screenList",
);
export const getWaterSourceScreenList = declareRequest(
  "biFullLoading",
  "Post > @/fireResource/waterSource/screenList",
);
export const getPumpRoomScreenList = declareRequest(
  "biFullLoading",
  "Post > @/fireResource/pumpRoom/screenList",
);
export const getEightWorkInfoScreenWorkList = declareRequest(
  "biFullLoading",
  "Post > @/eightwork/eightworkInfo/screenWorkPage",
);
export const getKeyProjectLargeScreenList = declareRequest(
  "biFullLoading",
  "Post > @/keyProject/keyProject/largeScreenPage",
);
export const getFixedCameraVideoList = declareRequest(
  "biFullLoading",
  "Post > @/videopatrol/fixedCamera/getVideoList",
);
